const jsonServer = require('json-server');
const server = jsonServer.create();
const router = jsonServer.router('db.json');
const middlewares = jsonServer.defaults();

server.use(middlewares);
server.use(jsonServer.bodyParser);


server.get('/reserved-seats', (req, res) => {
    const seats = router.db.get('seats')
      .filter({ status: 'booked' })      
      .map(seat => ({
        id: seat.id,
        seats: seat.seats
      }))
      .value();
  
    res.json(seats);
  });

server.use(router);

const PORT = 3001; 
server.listen(PORT, () => {
  console.log(`Server is running at http://localhost:${PORT}`);
});
