import React, { useState } from "react";
import { Input } from "../../Form/form/Input";
import { Button } from "../../Form/Button/Button";
import { Header } from "../../Layout/Card/Header";
import style from "./Styles.module.css";
import { FaPhoneAlt } from "react-icons/fa";
import { TiSortAlphabetically } from "react-icons/ti";
export const Sign = ({
  onSubmit,
  onChange,
  labels: { mobileplaceholder, nameplaceholder, btnLabel, titleLabel },
}) => {
  const [num, setNum] = useState("");
  const [name, setName] = useState("");

  const Number = (e) => {
    const updated = e.target.value;
    if (onChange) onChange(updated);
    console.log("executed");
    if (/^\d{0,10}$/.test(updated)) {
      setNum(updated);
    }
  };
  const Name = (e) => {
    const User = e.target.value;
    setName(User);
    if (onChange) {
      onChange(e);
    }
  };
  const handleNewUser = (e) => {
    e.preventDefault();
    console.log("signup page worked");
    if (onSubmit) {
      onSubmit({ name, mobile: num });
    }
  };

  return (
    <>
      <div className={style.container}>
        <div className={style.block}>
          <div className={style.image}>
            <Header title={titleLabel} className={style.head} />
          </div>
          <div className={style.signcontainer}>
            <form onSubmit={handleNewUser}>
              <div className={style.Inpbtn}>
                <Input
                  placeholder={mobileplaceholder}
                  value={num}
                  onChange={Number}
                  type="text"
                  pattern="[6-9][0-9]{9}"
                  min="0"
                  icon={FaPhoneAlt}
                />
              </div>
              <div className={style.Inpname}>
                <Input
                  placeholder={nameplaceholder}
                  value={name}
                  onChange={Name}
                  type="text"
                  maxLength={255}
                  icon={TiSortAlphabetically}
                />
              </div>
              <div className={style.signbtn}>
                <Button
                  children={btnLabel}
                  size="medium"
                  primary="true"
                  type="submit"
                />
              </div>
            </form>
          </div>
        </div>
      </div>
    </>
  );
};
