import Counter from "../components/Top-level/Counter/Counter";
import { useAppContext } from "../context/Index";
import styles from "./Styles.module.css";
import { MdEventSeat } from "react-icons/md";
import { Header } from "../components/Layout/Card/Header";
import { useNavigate } from "react-router-dom";
import { useEffect } from "react";

export const SeatLimit = () => {
  const navigate = useNavigate();
  const totalSeats = 60;
  const { reservedSeats, getAllReservedSeats } = useAppContext();
  const Seat = totalSeats - reservedSeats.length;

  useEffect(() => {
    const Timer = setInterval(() => {
      getAllReservedSeats();
    }, 500);

    return () => clearTimeout(Timer);
  }, [getAllReservedSeats]);

  const handleSeat = (seatCount) => {
    sessionStorage.setItem("seatLimit", seatCount);
    navigate("/booking");
  };

  return (
    <>
      <div className={styles.seatContainer}>
        <div className={styles.seat}>
          <MdEventSeat className={styles.icon} />
          <Header
            title={`Remaining Seats Available:${Seat}`}
            Color="#fff"
            className={styles.line}
          />
        </div>
        <Counter onSubmit={handleSeat} />
      </div>
    </>
  );
};
